> For the complete documentation index, see [llms.txt](https://docs.cyberway.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cyberway.io/software_manuals/how_to_guides/create_account.md).

# How To Create An Account

## Goal

Register an account in the system and delegate staked tokens to it so that this account can perform transactions.

## Before you begin

* Install the currently supported version of `cleos`.
* Understand the following:
  * What is an [account](https://docs.cyberway.io/users/glossary#account);
  * What is a [public](https://docs.cyberway.io/users/glossary#public-key) and [private](https://docs.cyberway.io/users/glossary#private-key) key pair.
* Created an Owner and an Active key pair.
* Imported a key pair which can authorize on behalf of a creator account.

## Steps

User `alice` creates the `bob` account name and transfers to him 100 CYBER tokens:

```bash
$ cleos system newaccount alice bob "100.0000 CYBER"
```

If the `--transfer` flag is added to command line then staked tokens will irrevocably be transferred to created account:

```bash
$ cleos system newaccount alice bob "100.0000 CYBER" --transfer
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cyberway.io/software_manuals/how_to_guides/create_account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
